org.apache.storm.generated

## Class LSTopoHistory

- java.lang.Object
- - org.apache.storm.generated.LSTopoHistory

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<LSTopoHistory>, org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class LSTopoHistory
      extends Object
      implements org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>, Serializable, Cloneable, Comparable<LSTopoHistory>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LSTopoHistory._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<LSTopoHistory._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSTopoHistory()`
    `LSTopoHistory(LSTopoHistory other)` Performs a deep copy on other.
    `LSTopoHistory(String topology_id, long time_stamp, List<String> users, List<String> groups)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_groups(String elem)`
    `void` | `add_to_users(String elem)`
    `void` | `clear()`
    `int` | `compareTo(LSTopoHistory other)`
    `LSTopoHistory` | `deepCopy()`
    `boolean` | `equals(LSTopoHistory that)`
    `boolean` | `equals(Object that)`
    `LSTopoHistory._Fields` | `fieldForId(int fieldId)`
    `Iterator<String>` | `get_groups_iterator()`
    `int` | `get_groups_size()`
    `List<String>` | `get_groups()`
    `long` | `get_time_stamp()`
    `String` | `get_topology_id()`
    `Iterator<String>` | `get_users_iterator()`
    `int` | `get_users_size()`
    `List<String>` | `get_users()`
    `Object` | `getFieldValue(LSTopoHistory._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_groups()` Returns true if field groups is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_time_stamp()` Returns true if field time_stamp is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_id()` Returns true if field topology_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_users()` Returns true if field users is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(LSTopoHistory._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_groups_isSet(boolean value)`
    `void` | `set_groups(List<String> groups)`
    `void` | `set_time_stamp_isSet(boolean value)`
    `void` | `set_time_stamp(long time_stamp)`
    `void` | `set_topology_id_isSet(boolean value)`
    `void` | `set_topology_id(String topology_id)`
    `void` | `set_users_isSet(boolean value)`
    `void` | `set_users(List<String> users)`
    `void` | `setFieldValue(LSTopoHistory._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_groups()`
    `void` | `unset_time_stamp()`
    `void` | `unset_topology_id()`
    `void` | `unset_users()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<LSTopoHistory._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LSTopoHistory

          public LSTopoHistory()

    - #### LSTopoHistory

          public LSTopoHistory(String topology_id,
                               long time_stamp,
                               List<String> users,
                               List<String> groups)

    - #### LSTopoHistory

          public LSTopoHistory(LSTopoHistory other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LSTopoHistory deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### get_topology_id

          public String get_topology_id()

    - #### set_topology_id

          public void set_topology_id(String topology_id)

    - #### unset_topology_id

          public void unset_topology_id()

    - #### is_set_topology_id

          public boolean is_set_topology_id()

      Returns true if field topology_id is set (has been assigned a value) and false otherwise

    - #### set_topology_id_isSet

          public void set_topology_id_isSet(boolean value)

    - #### get_time_stamp

          public long get_time_stamp()

    - #### set_time_stamp

          public void set_time_stamp(long time_stamp)

    - #### unset_time_stamp

          public void unset_time_stamp()

    - #### is_set_time_stamp

          public boolean is_set_time_stamp()

      Returns true if field time_stamp is set (has been assigned a value) and false otherwise

    - #### set_time_stamp_isSet

          public void set_time_stamp_isSet(boolean value)

    - #### get_users_size

          public int get_users_size()

    - #### get_users_iterator

          public Iterator<String> get_users_iterator()

    - #### add_to_users

          public void add_to_users(String elem)

    - #### get_users

          public List<String> get_users()

    - #### set_users

          public void set_users(List<String> users)

    - #### unset_users

          public void unset_users()

    - #### is_set_users

          public boolean is_set_users()

      Returns true if field users is set (has been assigned a value) and false otherwise

    - #### set_users_isSet

          public void set_users_isSet(boolean value)

    - #### get_groups_size

          public int get_groups_size()

    - #### get_groups_iterator

          public Iterator<String> get_groups_iterator()

    - #### add_to_groups

          public void add_to_groups(String elem)

    - #### get_groups

          public List<String> get_groups()

    - #### set_groups

          public void set_groups(List<String> groups)

    - #### unset_groups

          public void unset_groups()

    - #### is_set_groups

          public boolean is_set_groups()

      Returns true if field groups is set (has been assigned a value) and false otherwise

    - #### set_groups_isSet

          public void set_groups_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(LSTopoHistory._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### getFieldValue

          public Object getFieldValue(LSTopoHistory._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### isSet

          public boolean isSet(LSTopoHistory._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(LSTopoHistory that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(LSTopoHistory other)

      Specified by:
        `compareTo` in interface `Comparable<LSTopoHistory>`

    - #### fieldForId

          public LSTopoHistory._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<LSTopoHistory,LSTopoHistory._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.